#pragma once

#include "colors.h"

namespace ui
{
    void start();
    void label(const char *label, const int x, const int y, const int w, const int h, const int color=WHITE+LIGHT);
    const bool button(const char *label, const int x, const int y, const int w, const int h, const bool pressed=false);
    const int check(const char *label, const int x, const int y, const int w, const int h, const bool checked);
    const int combo(const char *label, const int x, const int y, const int w, const int h);
    const char *spin(const char *lbl, const int x, const int y, const int w, const int h);
    const int textbox(const char *label, const int x, const int y, const int w, const int h);
}
